
module Lifen

  class Binary < Base

    attribute :uuid, String

    def fhir_payload
      {
        contentReference: {
          reference: reference
        }
      }
    end

    def download
      application_client.get("fhir/#{reference}", { accept: "application/pdf" })
    end

    private

      def application_client
        @application_client ||= AppAuthenticatedClient.new
      end

      def reference
        "Binary/#{uuid}"
      end

  end
end
