module Lifen
  class Configuration

    attr_accessor :site, :application_access_token, :proxy_url

    def site=(url)
      if !/(.*)\/$/.match(url)
        raise Lifen::Error, "Invalid 'site' provided in configuration: '#{url}', a trailing slash is missing"
      end

      @site = url
    end
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configure
    yield(configuration) if block_given?
  end
end